Subject: Re: bug#46384: 28.0.50; 100% cpu in line_number_display_width

From: Richard Stallman <[email-masked]>
Date: Tue, 09 Feb 2021 01:11:46 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

The way I debugged infloops in Emacs was to use the GDB return command
on each frame till control got out of that frame.  Eventually I would
find a frame that never returned to its caller.  I would then arrange
to stop the program while inside that frame's function and find the
range of code contained in the loop.

Then I would figure out where the code was supposed to exit that loop.
After that, it is a matter of debugging why it does not exit.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)